## garcon-menu-item-pool garcon-menu-item-pool |

## Functions

GarconMenuItemPool * | garcon_menu_item_pool_new ()
void | garcon_menu_item_pool_insert ()
GarconMenuItem * | garcon_menu_item_pool_lookup ()
GarconMenuItem * | garcon_menu_item_pool_lookup_file ()
void | garcon_menu_item_pool_foreach ()
void | garcon_menu_item_pool_apply_exclude_rule ()
gboolean | garcon_menu_item_pool_get_empty ()
void | garcon_menu_item_pool_clear ()

## Object Hierarchy

        GObject
        ╰── GarconMenuItemPool

## Description

## Functions

### garcon_menu_item_pool_new ()

    GarconMenuItemPool *
    garcon_menu_item_pool_new (void);

[constructor]

#### Returns

a GarconMenuItemPool.

[transfer full]

### garcon_menu_item_pool_insert ()

    void
    garcon_menu_item_pool_insert (GarconMenuItemPool *pool,
                                  GarconMenuItem *item);

#### Parameters

pool | a GarconMenuItemPool |
item | a GarconMenuItem |

### garcon_menu_item_pool_lookup ()

    GarconMenuItem *
    garcon_menu_item_pool_lookup (GarconMenuItemPool *pool,
                                  const gchar *desktop_id);

#### Parameters

pool | a GarconMenuItemPool |
desktop_id | .desktop file. | [type filename]

#### Returns

a GarconMenuItem object.

[transfer full]

### garcon_menu_item_pool_lookup_file ()

    GarconMenuItem *
    garcon_menu_item_pool_lookup_file (GarconMenuItemPool *pool,
                                       GFile *file);

#### Parameters

pool | a GarconMenuItemPool |
file | a GFile instance |

#### Returns

a GarconMenuItem object.

[transfer full]

### garcon_menu_item_pool_foreach ()

    void
    garcon_menu_item_pool_foreach (GarconMenuItemPool *pool,
                                   GHFunc func,
                                   gpointer user_data);

#### Parameters

pool | a GarconMenuItemPool |
func | . | [scope call]
user_data | user data passed to `func` callback |

### garcon_menu_item_pool_apply_exclude_rule ()

    void
    garcon_menu_item_pool_apply_exclude_rule
                                   (GarconMenuItemPool *pool,
                                    GNode *node);

### garcon_menu_item_pool_get_empty ()

    gboolean
    garcon_menu_item_pool_get_empty (GarconMenuItemPool *pool);

### garcon_menu_item_pool_clear ()

    void
    garcon_menu_item_pool_clear (GarconMenuItemPool *pool);